RGE(4)

NAME
rge - Realtek 8125/8126/8127 PCI Express 10/100/1Gb/2.5Gb/5Gb/10Gb Ethernet device

SYNOPSIS
rge* at pci?

DESCRIPTION
The rge driver provides support for NICs based on the Realtek RTL8125, RTL8126 and RTL8127 PCI Express Ethernet controllers, including the following:

•   IOCrest IO-PCE8126-GLAN Adapter (5000baseT)
•   Realtek 8125/8125B 2.5GbE Adapter (2500baseT)
•   Rivet Networks Killer E3000 Adapter (2500baseT)
•   TP-LINK TL-NG421 Adapter (2500baseT)

NICs based on the RTL8125 are capable of 10, 100, 1000 and 2500Mbps operation. NICs based on the RTL8126 are capable of 10, 100, 1000, 2500 and 5000Mbps operation. The RTL8127 supports 10Gbps speed.

The rge driver additionally supports Wake on LAN (WoL). See arp(8) and ifconfig(8) for more details.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The rge driver first appeared in OpenBSD 6.6.

AUTHORS
-nosplit The rge driver was written by Kevin Lo <kevlo@openbsd.org>.